version: '3'
services:
  basis-service:
    build:
      context: services/
      dockerfile: basis-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
      API_URL: ${API_URL:?API_URL not set}
    ports:
      - ${BASIS_SERVICE_PORT}:4001

  basis-query-service:
    build:
      context: services/
      dockerfile: basis-query-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
    ports:
      - ${BASIS_QUERY_SERVICE_PORT}:4008

  ged-service:
    build:
      context: services/
      dockerfile: ged-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
    ports:
      - ${GED_SERVICE_PORT}:4007

  iam-service:
    build:
      context: services/
      dockerfile: iam-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
      API_URL: ${API_URL:?API_URL not set}
      REDIS_HOST: ${REDIS_HOST:?REDIS_HOST not set}
      REDIS_PORT: ${REDIS_PORT:? REDIS_PORT not set}
    ports:
      - ${IAM_SERVICE_PORT}:4002

  storage-service:
    build:
      context: services/
      dockerfile: storage-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
      AWS_S3_BUCKET: ${AWS_S3_BUCKET:?AWS_S3_BUCKET not set}
      AWS_S3_ACCESS_KEY: ${AWS_S3_ACCESS_KEY:?AWS_S3_ACCESS_KEY not set}
      AWS_S3_EXPIRES: ${AWS_S3_EXPIRES:? AWS_S3_EXPIRES not set}
      AWS_S3_SECRET_KEY: ${AWS_S3_SECRET_KEY:? AWS_S3_SECRET_KEY not set}
      AWS_S3_REGION: ${AWS_S3_REGION:? AWS_S3_REGION not set}
      AWS_S3_ENDPOINT: ${AWS_S3_ENDPOINT:? AWS_S3_ENDPOINT not set}
    ports:
      - ${STORAGE_SERVICE_PORT}:4005

  demarche-qualite-service:
    build:
      context: services/
      dockerfile: demarche-qualite-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
    ports:
      - ${DEMARCHE_QUALITE_SERVICE_PORT}:4004

  demarche-qualite-query-service:
    build:
      context: services/
      dockerfile: demarche-qualite-query-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
    ports:
      - ${DEMARCHE_QUALITE_QUERY_SERVICE_PORT}:4006

  partenaire-service:
    build:
      context: services/
      dockerfile: partenaire-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
    ports:
      - ${PARTENAIRE_SERVICE_PORT}:4013

  search-service:
    build:
      context: services/
      dockerfile: search-service.Dockerfile
    environment:
      ELASTIC_SEARCH_NODE: ${ELASTIC_SEARCH_NODE:?ELASTIC_SEARCH_NODE not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
    ports:
      - ${SEARCH_SERVICE_PORT}:4003

  notification-service:
    build:
      context: services/
      dockerfile: notification-service.Dockerfile
    environment:
      SEQUELIZE_HOST: ${SEQUELIZE_HOST:?SEQUELIZE_HOST not set}
      SEQUELIZE_PORT: ${SEQUELIZE_PORT:?SEQUELIZE_PORT not set}
      SEQUELIZE_USERNAME: ${SEQUELIZE_USERNAME:?SEQUELIZE_USERNAME not set}
      SEQUELIZE_PASSWORD: ${SEQUELIZE_PASSWORD:?SEQUELIZE_PASSWORD not set}
      SEQUELIZE_DATABASE: ${SEQUELIZE_DATABASE:?SEQUELIZE_DATABASE not set}
      SEQUELIZE_SCHEMA: ${SEQUELIZE_SCHEMA:?SEQUELIZE_SCHEMA not set}
      GRAPHQL_DEBUG: ${GRAPHQL_DEBUG:?GRAPHQL_DEBUG not set}
      GRAPHQL_PLAYGROUND: ${GRAPHQL_PLAYGROUND:?GRAPHQL_PLAYGROUND not set}
      SENDGRID_GED_TEMPLATE_ID: ${SENDGRID_GED_TEMPLATE_ID:?SENDGRID_GED_TEMPLATE_ID not set}
      SENDGRID_FROM: ${SENDGRID_FROM:?SENDGRID_FROM not set}
      SENDGRID_API_KEY: ${SENDGRID_API_KEY:?SENDGRID_API_KEY not set}
    volumes:
      - ./VOLUMES/notification/files:/tmp/files
    ports:
      - ${NOTIFICATION_SERVICE_PORT}:4009

  gateway-federation:
    build:
      context: services/
      dockerfile: gateway-federation.Dockerfile
    environment:
      GATEWAY_SERVER_CORS: ${GATEWAY_SERVER_CORS:?GATEWAY_SERVER_CORS not set}
      SEARCH_SERVICE_URL: ${SEARCH_SERVICE_URL:?SEARCH_SERVICE_URL not set}
      IAM_SERVICE_URL: ${IAM_SERVICE_URL:?IAM_SERVICE_URL not set}
      DEMARCHE_QUALITE_SERVICE_URL: ${DEMARCHE_QUALITE_SERVICE_URL:?DEMARCHE_QUALITE_SERVICE_URL not set}
      BASIS_SERVICE_URL: ${BASIS_SERVICE_URL:?BASIS_SERVICE_URL not set}
      STORAGE_SERVICE_URL: ${STORAGE_SERVICE_URL:?STORAGE_SERVICE_URL not set}
    depends_on:
      - search-service
      - iam-service
      - demarche-qualite-service
      - demarche-qualite-query-service
      - basis-service
      - storage-service
    ports:
      - ${GATEWAY_FEDERATION_PORT}:5000
